GuideLab API

Update Email Template

Update an existing email template's name, subject, content, category, or other properties.

PUT
/email-templates/{id}

Update an existing email template's name, subject, content, category, or other properties.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://example.com/email-templates/550e8400-e29b-41d4-a716-446655440000" \  -H "Content-Type: application/json" \  -d '{}'
{  "template": {    "id": "string",    "labId": "string",    "name": "string",    "subject": "string",    "description": "string",    "designJson": {      "body": {        "rows": [          null        ],        "property1": null,        "property2": null      },      "counters": {        "property1": 0,        "property2": 0      },      "property1": null,      "property2": null    },    "htmlContent": "string",    "category": "string",    "sortOrder": 0,    "isActive": true,    "createdAt": "string",    "updatedAt": "string"  }}
Empty
Empty
Empty
Empty